//
// This file is auto-generated by script docgen.py.
// DO NOT EDIT BY HAND!
//
* [[option_weechat.color.bar_more]] *weechat.color.bar_more*
** description: pass:none[text color for "+" when scrolling bars]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+lightmagenta+`

* [[option_weechat.color.chat]] *weechat.color.chat*
** description: pass:none[text color for chat]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.chat_bg]] *weechat.color.chat_bg*
** description: pass:none[background color for chat]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.chat_buffer]] *weechat.color.chat_buffer*
** description: pass:none[text color for buffer names]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+white+`

* [[option_weechat.color.chat_channel]] *weechat.color.chat_channel*
** description: pass:none[text color for channel names]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+white+`

* [[option_weechat.color.chat_day_change]] *weechat.color.chat_day_change*
** description: pass:none[text color for message displayed when the day has changed]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+cyan+`

* [[option_weechat.color.chat_delimiters]] *weechat.color.chat_delimiters*
** description: pass:none[text color for delimiters]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+green+`

* [[option_weechat.color.chat_highlight]] *weechat.color.chat_highlight*
** description: pass:none[text color for highlighted prefix]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+yellow+`

* [[option_weechat.color.chat_highlight_bg]] *weechat.color.chat_highlight_bg*
** description: pass:none[background color for highlighted prefix]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+magenta+`

* [[option_weechat.color.chat_host]] *weechat.color.chat_host*
** description: pass:none[text color for hostnames]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+cyan+`

* [[option_weechat.color.chat_inactive_buffer]] *weechat.color.chat_inactive_buffer*
** description: pass:none[text color for chat when line is inactive (buffer is merged with other buffers and is not selected)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.chat_inactive_window]] *weechat.color.chat_inactive_window*
** description: pass:none[text color for chat when window is inactive (not current selected window)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.chat_nick]] *weechat.color.chat_nick*
** description: pass:none[text color for nicks in chat window: used in some server messages and as fallback when a nick color is not found; most of times nick color comes from option weechat.color.chat_nick_colors]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+lightcyan+`

* [[option_weechat.color.chat_nick_colors]] *weechat.color.chat_nick_colors*
** description: pass:none[text color for nicks (comma separated list of colors, background is allowed with format: "fg:bg", for example: "lightred:blue")]
** type: string
** values: any string
** default value: `+"cyan,magenta,green,brown,lightblue,default,lightcyan,lightmagenta,lightgreen,blue"+`

* [[option_weechat.color.chat_nick_offline]] *weechat.color.chat_nick_offline*
** description: pass:none[text color for offline nick (not in nicklist any more); this color is used only if option weechat.look.color_nick_offline is enabled]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.chat_nick_offline_highlight]] *weechat.color.chat_nick_offline_highlight*
** description: pass:none[text color for offline nick with highlight; this color is used only if option weechat.look.color_nick_offline is enabled]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.chat_nick_offline_highlight_bg]] *weechat.color.chat_nick_offline_highlight_bg*
** description: pass:none[background color for offline nick with highlight; this color is used only if option weechat.look.color_nick_offline is enabled]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+blue+`

* [[option_weechat.color.chat_nick_other]] *weechat.color.chat_nick_other*
** description: pass:none[text color for other nick in private buffer]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+cyan+`

* [[option_weechat.color.chat_nick_prefix]] *weechat.color.chat_nick_prefix*
** description: pass:none[color for nick prefix (string displayed before nick in prefix)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+green+`

* [[option_weechat.color.chat_nick_self]] *weechat.color.chat_nick_self*
** description: pass:none[text color for local nick in chat window]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+white+`

* [[option_weechat.color.chat_nick_suffix]] *weechat.color.chat_nick_suffix*
** description: pass:none[color for nick suffix (string displayed after nick in prefix)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+green+`

* [[option_weechat.color.chat_prefix_action]] *weechat.color.chat_prefix_action*
** description: pass:none[text color for action prefix]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+white+`

* [[option_weechat.color.chat_prefix_buffer]] *weechat.color.chat_prefix_buffer*
** description: pass:none[text color for buffer name (before prefix, when many buffers are merged with same number)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+brown+`

* [[option_weechat.color.chat_prefix_buffer_inactive_buffer]] *weechat.color.chat_prefix_buffer_inactive_buffer*
** description: pass:none[text color for inactive buffer name (before prefix, when many buffers are merged with same number and if buffer is not selected)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.chat_prefix_error]] *weechat.color.chat_prefix_error*
** description: pass:none[text color for error prefix]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+yellow+`

* [[option_weechat.color.chat_prefix_join]] *weechat.color.chat_prefix_join*
** description: pass:none[text color for join prefix]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+lightgreen+`

* [[option_weechat.color.chat_prefix_more]] *weechat.color.chat_prefix_more*
** description: pass:none[text color for "+" when prefix is too long]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+lightmagenta+`

* [[option_weechat.color.chat_prefix_network]] *weechat.color.chat_prefix_network*
** description: pass:none[text color for network prefix]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+magenta+`

* [[option_weechat.color.chat_prefix_quit]] *weechat.color.chat_prefix_quit*
** description: pass:none[text color for quit prefix]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+lightred+`

* [[option_weechat.color.chat_prefix_suffix]] *weechat.color.chat_prefix_suffix*
** description: pass:none[text color for suffix (after prefix)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+green+`

* [[option_weechat.color.chat_read_marker]] *weechat.color.chat_read_marker*
** description: pass:none[text color for unread data marker]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+magenta+`

* [[option_weechat.color.chat_read_marker_bg]] *weechat.color.chat_read_marker_bg*
** description: pass:none[background color for unread data marker]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.chat_server]] *weechat.color.chat_server*
** description: pass:none[text color for server names]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+brown+`

* [[option_weechat.color.chat_tags]] *weechat.color.chat_tags*
** description: pass:none[text color for tags after messages (displayed with command /debug tags)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+red+`

* [[option_weechat.color.chat_text_found]] *weechat.color.chat_text_found*
** description: pass:none[text color for marker on lines where text sought is found]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+yellow+`

* [[option_weechat.color.chat_text_found_bg]] *weechat.color.chat_text_found_bg*
** description: pass:none[background color for marker on lines where text sought is found]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+lightmagenta+`

* [[option_weechat.color.chat_time]] *weechat.color.chat_time*
** description: pass:none[text color for time in chat window]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.chat_time_delimiters]] *weechat.color.chat_time_delimiters*
** description: pass:none[text color for time delimiters]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+brown+`

* [[option_weechat.color.chat_value]] *weechat.color.chat_value*
** description: pass:none[text color for values]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+cyan+`

* [[option_weechat.color.chat_value_null]] *weechat.color.chat_value_null*
** description: pass:none[text color for null values (undefined)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+blue+`

* [[option_weechat.color.emphasized]] *weechat.color.emphasized*
** description: pass:none[text color for emphasized text (for example when searching text); this option is used only if option weechat.look.emphasized_attributes is an empty string (default value)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+yellow+`

* [[option_weechat.color.emphasized_bg]] *weechat.color.emphasized_bg*
** description: pass:none[background color for emphasized text (for example when searching text); used only if option weechat.look.emphasized_attributes is an empty string (default value)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+magenta+`

* [[option_weechat.color.input_actions]] *weechat.color.input_actions*
** description: pass:none[text color for actions in input line]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+lightgreen+`

* [[option_weechat.color.input_text_not_found]] *weechat.color.input_text_not_found*
** description: pass:none[text color for unsuccessful text search in input line]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+red+`

* [[option_weechat.color.item_away]] *weechat.color.item_away*
** description: pass:none[text color for away item]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+yellow+`

* [[option_weechat.color.nicklist_away]] *weechat.color.nicklist_away*
** description: pass:none[text color for away nicknames]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+cyan+`

* [[option_weechat.color.nicklist_group]] *weechat.color.nicklist_group*
** description: pass:none[text color for groups in nicklist]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+green+`

* [[option_weechat.color.separator]] *weechat.color.separator*
** description: pass:none[color for window separators (when split) and separators beside bars (like nicklist)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+blue+`

* [[option_weechat.color.status_count_highlight]] *weechat.color.status_count_highlight*
** description: pass:none[text color for count of highlight messages in hotlist (status bar)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+magenta+`

* [[option_weechat.color.status_count_msg]] *weechat.color.status_count_msg*
** description: pass:none[text color for count of messages in hotlist (status bar)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+brown+`

* [[option_weechat.color.status_count_other]] *weechat.color.status_count_other*
** description: pass:none[text color for count of other messages in hotlist (status bar)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.status_count_private]] *weechat.color.status_count_private*
** description: pass:none[text color for count of private messages in hotlist (status bar)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+green+`

* [[option_weechat.color.status_data_highlight]] *weechat.color.status_data_highlight*
** description: pass:none[text color for buffer with highlight (status bar)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+lightmagenta+`

* [[option_weechat.color.status_data_msg]] *weechat.color.status_data_msg*
** description: pass:none[text color for buffer with new messages (status bar)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+yellow+`

* [[option_weechat.color.status_data_other]] *weechat.color.status_data_other*
** description: pass:none[text color for buffer with new data (not messages) (status bar)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.status_data_private]] *weechat.color.status_data_private*
** description: pass:none[text color for buffer with private message (status bar)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+lightgreen+`

* [[option_weechat.color.status_filter]] *weechat.color.status_filter*
** description: pass:none[text color for filter indicator in status bar]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+green+`

* [[option_weechat.color.status_more]] *weechat.color.status_more*
** description: pass:none[text color for buffer with new data (status bar)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+yellow+`

* [[option_weechat.color.status_mouse]] *weechat.color.status_mouse*
** description: pass:none[text color for mouse indicator in status bar]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+green+`

* [[option_weechat.color.status_name]] *weechat.color.status_name*
** description: pass:none[text color for current buffer name in status bar]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+white+`

* [[option_weechat.color.status_name_ssl]] *weechat.color.status_name_ssl*
** description: pass:none[text color for current buffer name in status bar, if data are secured with a protocol like SSL]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+lightgreen+`

* [[option_weechat.color.status_nicklist_count]] *weechat.color.status_nicklist_count*
** description: pass:none[text color for number of nicks in nicklist (status bar)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.color.status_number]] *weechat.color.status_number*
** description: pass:none[text color for current buffer number in status bar]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+yellow+`

* [[option_weechat.color.status_time]] *weechat.color.status_time*
** description: pass:none[text color for time (status bar)]
** type: color
** values: a WeeChat color name (default, black, (dark)gray, white, (light)red, (light)green, brown, yellow, (light)blue, (light)magenta, (light)cyan), a terminal color number or an alias; attributes are allowed before color (for text color only, not background): "*" for bold, "!" for reverse, "/" for italic, "_" for underline
** default value: `+default+`

* [[option_weechat.completion.base_word_until_cursor]] *weechat.completion.base_word_until_cursor*
** description: pass:none[if enabled, the base word to complete ends at char before cursor; otherwise the base word ends at first space after cursor]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.completion.command_inline]] *weechat.completion.command_inline*
** description: pass:none[if enabled, the commands inside command line are completed (the command at beginning of line has higher priority and is used first); note: when this option is enabled, there is no more automatic completion of paths beginning with "/" (outside commands arguments)]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.completion.default_template]] *weechat.completion.default_template*
** description: pass:none[default completion template (please see documentation for template codes and values: plugin API reference, function "weechat_hook_command")]
** type: string
** values: any string
** default value: `+"%(nicks)|%(irc_channels)"+`

* [[option_weechat.completion.nick_add_space]] *weechat.completion.nick_add_space*
** description: pass:none[add space after nick completion (when nick is not first word on command line)]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.completion.nick_case_sensitive]] *weechat.completion.nick_case_sensitive*
** description: pass:none[case sensitive completion for nicks]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.completion.nick_completer]] *weechat.completion.nick_completer*
** description: pass:none[string inserted after nick completion (when nick is first word on command line)]
** type: string
** values: any string
** default value: `+": "+`

* [[option_weechat.completion.nick_first_only]] *weechat.completion.nick_first_only*
** description: pass:none[complete only with first nick found]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.completion.nick_ignore_chars]] *weechat.completion.nick_ignore_chars*
** description: pass:none[chars ignored for nick completion]
** type: string
** values: any string
** default value: `+"[]`_-^"+`

* [[option_weechat.completion.partial_completion_alert]] *weechat.completion.partial_completion_alert*
** description: pass:none[send alert (BEL) when a partial completion occurs]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.completion.partial_completion_command]] *weechat.completion.partial_completion_command*
** description: pass:none[partially complete command names (stop when many commands found begin with same letters)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.completion.partial_completion_command_arg]] *weechat.completion.partial_completion_command_arg*
** description: pass:none[partially complete command arguments (stop when many arguments found begin with same prefix)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.completion.partial_completion_count]] *weechat.completion.partial_completion_count*
** description: pass:none[display count for each partial completion in bar item]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.completion.partial_completion_other]] *weechat.completion.partial_completion_other*
** description: pass:none[partially complete outside commands (stop when many words found begin with same letters)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.completion.partial_completion_templates]] *weechat.completion.partial_completion_templates*
** description: pass:none[comma-separated list of templates for which partial completion is enabled by default (with Tab key instead of shift-Tab); the list of templates is in documentation: plugin API reference, function "weechat_hook_command"]
** type: string
** values: any string
** default value: `+"config_options"+`

* [[option_weechat.history.display_default]] *weechat.history.display_default*
** description: pass:none[maximum number of commands to display by default in history listing (0 = unlimited)]
** type: integer
** values: 0 .. 2147483647
** default value: `+5+`

* [[option_weechat.history.max_buffer_lines_minutes]] *weechat.history.max_buffer_lines_minutes*
** description: pass:none[maximum number of minutes in history per buffer (0 = unlimited); examples: 1440 = one day, 10080 = one week, 43200 = one month, 525600 = one year; use 0 ONLY if option weechat.history.max_buffer_lines_number is NOT set to 0]
** type: integer
** values: 0 .. 2147483647
** default value: `+0+`

* [[option_weechat.history.max_buffer_lines_number]] *weechat.history.max_buffer_lines_number*
** description: pass:none[maximum number of lines in history per buffer (0 = unlimited); use 0 ONLY if option weechat.history.max_buffer_lines_minutes is NOT set to 0]
** type: integer
** values: 0 .. 2147483647
** default value: `+4096+`

* [[option_weechat.history.max_commands]] *weechat.history.max_commands*
** description: pass:none[maximum number of user commands in history (0 = unlimited, NOT RECOMMENDED: no limit in memory usage)]
** type: integer
** values: 0 .. 2147483647
** default value: `+100+`

* [[option_weechat.history.max_visited_buffers]] *weechat.history.max_visited_buffers*
** description: pass:none[maximum number of visited buffers to keep in memory]
** type: integer
** values: 0 .. 1000
** default value: `+50+`

* [[option_weechat.look.align_end_of_lines]] *weechat.look.align_end_of_lines*
** description: pass:none[alignment for end of lines (all lines after the first): they are starting under this data (time, buffer, prefix, suffix, message (default))]
** type: integer
** values: time, buffer, prefix, suffix, message
** default value: `+message+`

* [[option_weechat.look.align_multiline_words]] *weechat.look.align_multiline_words*
** description: pass:none[alignment for multiline words according to option weechat.look.align_end_of_lines; if disabled, the multiline words will not be aligned, which can be useful to not break long URLs]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.bar_more_down]] *weechat.look.bar_more_down*
** description: pass:none[string displayed when bar can be scrolled down (for bars with filling different from "horizontal")]
** type: string
** values: any string
** default value: `+"++"+`

* [[option_weechat.look.bar_more_left]] *weechat.look.bar_more_left*
** description: pass:none[string displayed when bar can be scrolled to the left (for bars with filling "horizontal")]
** type: string
** values: any string
** default value: `+"<<"+`

* [[option_weechat.look.bar_more_right]] *weechat.look.bar_more_right*
** description: pass:none[string displayed when bar can be scrolled to the right (for bars with filling "horizontal")]
** type: string
** values: any string
** default value: `+">>"+`

* [[option_weechat.look.bar_more_up]] *weechat.look.bar_more_up*
** description: pass:none[string displayed when bar can be scrolled up (for bars with filling different from "horizontal")]
** type: string
** values: any string
** default value: `+"--"+`

* [[option_weechat.look.bare_display_exit_on_input]] *weechat.look.bare_display_exit_on_input*
** description: pass:none[exit the bare display mode on any changes in input]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.bare_display_time_format]] *weechat.look.bare_display_time_format*
** description: pass:none[time format in bare display mode (see man strftime for date/time specifiers)]
** type: string
** values: any string
** default value: `+"%H:%M"+`

* [[option_weechat.look.buffer_auto_renumber]] *weechat.look.buffer_auto_renumber*
** description: pass:none[automatically renumber buffers to have only consecutive numbers and start with number 1; if disabled, gaps between buffer numbers are allowed and the first buffer can have a number greater than 1]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.buffer_notify_default]] *weechat.look.buffer_notify_default*
** description: pass:none[default notify level for buffers (used to tell WeeChat if buffer must be displayed in hotlist or not, according to importance of message): all=all messages (default), message=messages+highlights, highlight=highlights only, none=never display in hotlist]
** type: integer
** values: none, highlight, message, all
** default value: `+all+`

* [[option_weechat.look.buffer_position]] *weechat.look.buffer_position*
** description: pass:none[position of a new buffer: end = after the end of list (number = last number + 1) (default), first_gap = at first available number in the list (after the end of list if no number is available); this option is used only if the buffer has no layout number]
** type: integer
** values: end, first_gap
** default value: `+end+`

* [[option_weechat.look.buffer_search_case_sensitive]] *weechat.look.buffer_search_case_sensitive*
** description: pass:none[default text search in buffer: case sensitive or not]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.buffer_search_force_default]] *weechat.look.buffer_search_force_default*
** description: pass:none[force default values for text search in buffer (instead of using values from last search in buffer)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.buffer_search_regex]] *weechat.look.buffer_search_regex*
** description: pass:none[default text search in buffer: if enabled, search POSIX extended regular expression, otherwise search simple string]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.buffer_search_where]] *weechat.look.buffer_search_where*
** description: pass:none[default text search in buffer: in message, prefix, prefix and message]
** type: integer
** values: prefix, message, prefix_message
** default value: `+prefix_message+`

* [[option_weechat.look.buffer_time_format]] *weechat.look.buffer_time_format*
** description: pass:none[time format for each line displayed in buffers (see man strftime for date/time specifiers) (note: content is evaluated, so you can use colors with format "${color:xxx}", see /help eval); for example time using grayscale (requires support of 256 colors): "${color:252}%H${color:245}%M${color:240}%S"]
** type: string
** values: any string
** default value: `+"%H:%M:%S"+`

* [[option_weechat.look.buffer_time_same]] *weechat.look.buffer_time_same*
** description: pass:none[time displayed for a message with same time as previous message: use a space " " to hide time, another string to display this string instead of time, or an empty string to disable feature (display time) (note: content is evaluated, so you can use colors with format "${color:xxx}", see /help eval)]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.color_basic_force_bold]] *weechat.look.color_basic_force_bold*
** description: pass:none[force "bold" attribute for light colors and "darkgray" in basic colors (this option is disabled by default: bold is used only if terminal has less than 16 colors)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.color_inactive_buffer]] *weechat.look.color_inactive_buffer*
** description: pass:none[use a different color for lines in inactive buffer (when line is from a merged buffer not selected)]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.color_inactive_message]] *weechat.look.color_inactive_message*
** description: pass:none[use a different color for inactive message (when window is not current window, or if line is from a merged buffer not selected)]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.color_inactive_prefix]] *weechat.look.color_inactive_prefix*
** description: pass:none[use a different color for inactive prefix (when window is not current window, or if line is from a merged buffer not selected)]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.color_inactive_prefix_buffer]] *weechat.look.color_inactive_prefix_buffer*
** description: pass:none[use a different color for inactive buffer name in prefix (when window is not current window, or if line is from a merged buffer not selected)]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.color_inactive_time]] *weechat.look.color_inactive_time*
** description: pass:none[use a different color for inactive time (when window is not current window, or if line is from a merged buffer not selected)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.color_inactive_window]] *weechat.look.color_inactive_window*
** description: pass:none[use a different color for lines in inactive window (when window is not current window)]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.color_nick_offline]] *weechat.look.color_nick_offline*
** description: pass:none[use a different color for offline nicks (not in nicklist any more)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.color_pairs_auto_reset]] *weechat.look.color_pairs_auto_reset*
** description: pass:none[automatically reset table of color pairs when number of available pairs is lower or equal to this number (-1 = disable automatic reset, and then a manual "/color reset" is needed when table is full)]
** type: integer
** values: -1 .. 256
** default value: `+5+`

* [[option_weechat.look.color_real_white]] *weechat.look.color_real_white*
** description: pass:none[if set, uses real white color, disabled by default for terms with white background (if you never use white background, you should turn on this option to see real white instead of default term foreground color)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.command_chars]] *weechat.look.command_chars*
** description: pass:none[chars used to determine if input string is a command or not: input must start with one of these chars; the slash ("/") is always considered as command prefix (example: ".$")]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.command_incomplete]] *weechat.look.command_incomplete*
** description: pass:none[if set, incomplete and unambiguous commands are allowed, for example /he for /help]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.confirm_quit]] *weechat.look.confirm_quit*
** description: pass:none[if set, /quit command must be confirmed with extra argument "-yes" (see /help quit)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.confirm_upgrade]] *weechat.look.confirm_upgrade*
** description: pass:none[if set, /upgrade command must be confirmed with extra argument "-yes" (see /help upgrade)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.day_change]] *weechat.look.day_change*
** description: pass:none[display special message when day changes]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.day_change_message_1date]] *weechat.look.day_change_message_1date*
** description: pass:none[message displayed when the day has changed, with one date displayed (for example at beginning of buffer) (see man strftime for date/time specifiers) (note: content is evaluated, so you can use colors with format "${color:xxx}", see /help eval)]
** type: string
** values: any string
** default value: `+"-- %a, %d %b %Y --"+`

* [[option_weechat.look.day_change_message_2dates]] *weechat.look.day_change_message_2dates*
** description: pass:none[message displayed when the day has changed, with two dates displayed (between two messages); the second date specifiers must start with two "%" because strftime is called two times on this string (see man strftime for date/time specifiers) (note: content is evaluated, so you can use colors with format "${color:xxx}", see /help eval)]
** type: string
** values: any string
** default value: `+"-- %%a, %%d %%b %%Y (%a, %d %b %Y) --"+`

* [[option_weechat.look.eat_newline_glitch]] *weechat.look.eat_newline_glitch*
** description: pass:none[if set, the eat_newline_glitch will be set to 0; this is used to not add new line char at end of each line, and then not break text when you copy/paste text from WeeChat to another application (this option is disabled by default because it can cause serious display bugs)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.emphasized_attributes]] *weechat.look.emphasized_attributes*
** description: pass:none[attributes for emphasized text: one or more attribute chars ("*" for bold, "!" for reverse, "/" for italic, "_" for underline); if the string is empty, the colors weechat.color.emphasized* are used]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.highlight]] *weechat.look.highlight*
** description: pass:none[comma separated list of words to highlight; case insensitive comparison (use "(?-i)" at beginning of words to make them case sensitive), words may begin or end with "*" for partial match; example: "test,(?-i)*toto*,flash*"]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.highlight_regex]] *weechat.look.highlight_regex*
** description: pass:none[POSIX extended regular expression used to check if a message has highlight or not, at least one match in string must be surrounded by delimiters (chars different from: alphanumeric, "-", "_" and "|"), regular expression is case insensitive (use "(?-i)" at beginning to make it case sensitive), examples: "flashcode|flashy", "(?-i)FlashCode|flashy"]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.highlight_tags]] *weechat.look.highlight_tags*
** description: pass:none[comma separated list of tags to highlight; case insensitive comparison; wildcard "*" is allowed in each tag; many tags can be separated by "+" to make a logical "and" between tags; examples: "nick_flashcode" for messages from nick "FlashCode", "irc_notice+nick_toto*" for notices from a nick starting with "toto"]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.hotlist_add_conditions]] *weechat.look.hotlist_add_conditions*
** description: pass:none[conditions to add a buffer in hotlist (if notify level is OK for the buffer); you can use in these conditions: "window" (current window pointer), "buffer" (buffer pointer to add in hotlist), "priority" (0 = low, 1 = message, 2 = private, 3 = highlight); by default a buffer is added to hotlist if you are away, or if the buffer is not visible on screen (not displayed in any window), or if at least one relay client is connected via the weechat protocol]
** type: string
** values: any string
** default value: `+"${away} || ${buffer.num_displayed} == 0 || ${info:relay_client_count,weechat,connected} > 0"+`

* [[option_weechat.look.hotlist_buffer_separator]] *weechat.look.hotlist_buffer_separator*
** description: pass:none[string displayed between buffers in hotlist]
** type: string
** values: any string
** default value: `+", "+`

* [[option_weechat.look.hotlist_count_max]] *weechat.look.hotlist_count_max*
** description: pass:none[max number of messages count to display in hotlist for a buffer: 0 = never display messages count, other number = display max N messages count (from the highest to lowest priority)]
** type: integer
** values: 0 .. 4
** default value: `+2+`

* [[option_weechat.look.hotlist_count_min_msg]] *weechat.look.hotlist_count_min_msg*
** description: pass:none[display messages count if number of messages is greater or equal to this value]
** type: integer
** values: 1 .. 100
** default value: `+2+`

* [[option_weechat.look.hotlist_names_count]] *weechat.look.hotlist_names_count*
** description: pass:none[max number of names in hotlist (0 = no name displayed, only buffer numbers)]
** type: integer
** values: 0 .. 10000
** default value: `+3+`

* [[option_weechat.look.hotlist_names_length]] *weechat.look.hotlist_names_length*
** description: pass:none[max length of names in hotlist (0 = no limit)]
** type: integer
** values: 0 .. 32
** default value: `+0+`

* [[option_weechat.look.hotlist_names_level]] *weechat.look.hotlist_names_level*
** description: pass:none[level for displaying names in hotlist (combination of: 1=join/part, 2=message, 4=private, 8=highlight, for example: 12=private+highlight)]
** type: integer
** values: 1 .. 15
** default value: `+12+`

* [[option_weechat.look.hotlist_names_merged_buffers]] *weechat.look.hotlist_names_merged_buffers*
** description: pass:none[if set, force display of names in hotlist for merged buffers]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.hotlist_prefix]] *weechat.look.hotlist_prefix*
** description: pass:none[text displayed at the beginning of the hotlist]
** type: string
** values: any string
** default value: `+"H: "+`

* [[option_weechat.look.hotlist_remove]] *weechat.look.hotlist_remove*
** description: pass:none[remove buffers in hotlist: buffer = remove buffer by buffer, merged = remove all visible merged buffers at once]
** type: integer
** values: buffer, merged
** default value: `+merged+`

* [[option_weechat.look.hotlist_short_names]] *weechat.look.hotlist_short_names*
** description: pass:none[if set, uses short names to display buffer names in hotlist (start after first "." in name)]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.hotlist_sort]] *weechat.look.hotlist_sort*
** description: pass:none[sort of hotlist: group_time_*: group by notify level (highlights first) then sort by time, group_number_*: group by notify level (highlights first) then sort by number, number_*: sort by number; asc = ascending sort, desc = descending sort]
** type: integer
** values: group_time_asc, group_time_desc, group_number_asc, group_number_desc, number_asc, number_desc
** default value: `+group_time_asc+`

* [[option_weechat.look.hotlist_suffix]] *weechat.look.hotlist_suffix*
** description: pass:none[text displayed at the end of the hotlist]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.hotlist_unique_numbers]] *weechat.look.hotlist_unique_numbers*
** description: pass:none[keep only unique numbers in hotlist (this applies only on hotlist items where name is NOT displayed after number)]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.input_cursor_scroll]] *weechat.look.input_cursor_scroll*
** description: pass:none[number of chars displayed after end of input line when scrolling to display end of line]
** type: integer
** values: 0 .. 100
** default value: `+20+`

* [[option_weechat.look.input_share]] *weechat.look.input_share*
** description: pass:none[share commands, text, or both in input for all buffers (there is still local history for each buffer)]
** type: integer
** values: none, commands, text, all
** default value: `+none+`

* [[option_weechat.look.input_share_overwrite]] *weechat.look.input_share_overwrite*
** description: pass:none[if set and input is shared, always overwrite input in target buffer]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.input_undo_max]] *weechat.look.input_undo_max*
** description: pass:none[max number of "undo" for command line, by buffer (0 = undo disabled)]
** type: integer
** values: 0 .. 65535
** default value: `+32+`

* [[option_weechat.look.item_away_message]] *weechat.look.item_away_message*
** description: pass:none[display server away message in away bar item]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.item_buffer_filter]] *weechat.look.item_buffer_filter*
** description: pass:none[string used to show that some lines are filtered in current buffer (bar item "buffer_filter")]
** type: string
** values: any string
** default value: `+"*"+`

* [[option_weechat.look.item_buffer_zoom]] *weechat.look.item_buffer_zoom*
** description: pass:none[string used to show zoom on merged buffer (bar item "buffer_zoom")]
** type: string
** values: any string
** default value: `+"!"+`

* [[option_weechat.look.item_mouse_status]] *weechat.look.item_mouse_status*
** description: pass:none[string used to show if mouse is enabled (bar item "mouse_status")]
** type: string
** values: any string
** default value: `+"M"+`

* [[option_weechat.look.item_time_format]] *weechat.look.item_time_format*
** description: pass:none[time format for "time" bar item (see man strftime for date/time specifiers) (note: content is evaluated, so you can use colors with format "${color:xxx}", see /help eval)]
** type: string
** values: any string
** default value: `+"%H:%M"+`

* [[option_weechat.look.jump_current_to_previous_buffer]] *weechat.look.jump_current_to_previous_buffer*
** description: pass:none[jump to previous buffer displayed when jumping to current buffer number with /buffer *N (where N is a buffer number), to easily switch to another buffer, then come back to current buffer]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.jump_previous_buffer_when_closing]] *weechat.look.jump_previous_buffer_when_closing*
** description: pass:none[jump to previously visited buffer when closing a buffer (if disabled, then jump to buffer number - 1)]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.jump_smart_back_to_buffer]] *weechat.look.jump_smart_back_to_buffer*
** description: pass:none[jump back to initial buffer after reaching end of hotlist]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.key_bind_safe]] *weechat.look.key_bind_safe*
** description: pass:none[allow only binding of "safe" keys (beginning with a ctrl or meta code)]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.key_grab_delay]] *weechat.look.key_grab_delay*
** description: pass:none[default delay (in milliseconds) to grab a key (using default key alt-k); this delay can be overridden in the /input command (see /help input)]
** type: integer
** values: 1 .. 10000
** default value: `+800+`

* [[option_weechat.look.mouse]] *weechat.look.mouse*
** description: pass:none[enable mouse support]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.mouse_timer_delay]] *weechat.look.mouse_timer_delay*
** description: pass:none[delay (in milliseconds) to grab a mouse event: WeeChat will wait this delay before processing event]
** type: integer
** values: 1 .. 10000
** default value: `+100+`

* [[option_weechat.look.nick_color_force]] *weechat.look.nick_color_force*
** description: pass:none[force color for some nicks: hash computed with nickname to find color will not be used for these nicks (format is: "nick1:color1;nick2:color2"); look up for nicks is with exact case then lower case, so it's possible to use only lower case for nicks in this option; color can include background with the format "text,background", for example "yellow,red"]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.nick_color_hash]] *weechat.look.nick_color_hash*
** description: pass:none[hash algorithm used to find the color for a nick: djb2 = variant of djb2 (position of letters matters: anagrams of a nick have different color), djb2_32 = variant of djb2 using 32-bit instead of 64-bit integer, sum = sum of letters, sum_32 = sum of letters using 32-bit instead of 64-bit integer]
** type: integer
** values: djb2, sum, djb2_32, sum_32
** default value: `+djb2+`

* [[option_weechat.look.nick_color_hash_salt]] *weechat.look.nick_color_hash_salt*
** description: pass:none[salt for the hash algorithm used to find nick colors (the nickname is appended to this salt and the hash algorithm operates on this string); modifying this shuffles nick colors]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.nick_color_stop_chars]] *weechat.look.nick_color_stop_chars*
** description: pass:none[chars used to stop in nick when computing color with letters of nick (at least one char outside this list must be in string before stopping) (example: nick "|nick|away" with "|" in chars will return color of nick "|nick"); this option has an impact on option weechat.look.nick_color_force, so the nick for the forced color must not contain the chars ignored by this option]
** type: string
** values: any string
** default value: `+"_|["+`

* [[option_weechat.look.nick_prefix]] *weechat.look.nick_prefix*
** description: pass:none[text to display before nick in prefix of message, example: "<"]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.nick_suffix]] *weechat.look.nick_suffix*
** description: pass:none[text to display after nick in prefix of message, example: ">"]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.paste_auto_add_newline]] *weechat.look.paste_auto_add_newline*
** description: pass:none[automatically add a newline at the end of pasted text if there are at least two lines and if a confirmation is asked]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.paste_bracketed]] *weechat.look.paste_bracketed*
** description: pass:none[enable terminal "bracketed paste mode" (not supported in all terminals/multiplexers): in this mode, pasted text is bracketed with control sequences so that WeeChat can differentiate pasted text from typed-in text ("ESC[200~", followed by the pasted text, followed by "ESC[201~")]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.paste_bracketed_timer_delay]] *weechat.look.paste_bracketed_timer_delay*
** description: pass:none[force end of bracketed paste after this delay (in seconds) if the control sequence for end of bracketed paste ("ESC[201~") was not received in time]
** type: integer
** values: 1 .. 60
** default value: `+10+`

* [[option_weechat.look.paste_max_lines]] *weechat.look.paste_max_lines*
** description: pass:none[max number of lines for paste without asking user (-1 = disable this feature); this option is used only if the bar item "input_paste" is used in at least one bar (by default it is used in "input" bar)]
** type: integer
** values: -1 .. 2147483647
** default value: `+1+`

* [[option_weechat.look.prefix_action]] *weechat.look.prefix_action*
** description: pass:none[prefix for action messages (note: content is evaluated, so you can use colors with format "${color:xxx}", see /help eval)]
** type: string
** values: any string
** default value: `+" *"+`

* [[option_weechat.look.prefix_align]] *weechat.look.prefix_align*
** description: pass:none[prefix alignment (none, left, right (default))]
** type: integer
** values: none, left, right
** default value: `+right+`

* [[option_weechat.look.prefix_align_max]] *weechat.look.prefix_align_max*
** description: pass:none[max size for prefix (0 = no max size)]
** type: integer
** values: 0 .. 128
** default value: `+0+`

* [[option_weechat.look.prefix_align_min]] *weechat.look.prefix_align_min*
** description: pass:none[min size for prefix]
** type: integer
** values: 0 .. 128
** default value: `+0+`

* [[option_weechat.look.prefix_align_more]] *weechat.look.prefix_align_more*
** description: pass:none[char to display if prefix is truncated (must be exactly one char on screen)]
** type: string
** values: any string
** default value: `+"+"+`

* [[option_weechat.look.prefix_align_more_after]] *weechat.look.prefix_align_more_after*
** description: pass:none[display the truncature char (by default "+") after the text (by replacing the space that should be displayed here); if disabled, the truncature char replaces last char of text]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.prefix_buffer_align]] *weechat.look.prefix_buffer_align*
** description: pass:none[prefix alignment for buffer name, when many buffers are merged with same number (none, left, right (default))]
** type: integer
** values: none, left, right
** default value: `+right+`

* [[option_weechat.look.prefix_buffer_align_max]] *weechat.look.prefix_buffer_align_max*
** description: pass:none[max size for buffer name, when many buffers are merged with same number (0 = no max size)]
** type: integer
** values: 0 .. 128
** default value: `+0+`

* [[option_weechat.look.prefix_buffer_align_more]] *weechat.look.prefix_buffer_align_more*
** description: pass:none[char to display if buffer name is truncated (when many buffers are merged with same number) (must be exactly one char on screen)]
** type: string
** values: any string
** default value: `+"+"+`

* [[option_weechat.look.prefix_buffer_align_more_after]] *weechat.look.prefix_buffer_align_more_after*
** description: pass:none[display the truncature char (by default "+") after the text (by replacing the space that should be displayed here); if disabled, the truncature char replaces last char of text]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.prefix_error]] *weechat.look.prefix_error*
** description: pass:none[prefix for error messages (note: content is evaluated, so you can use colors with format "${color:xxx}", see /help eval)]
** type: string
** values: any string
** default value: `+"=!="+`

* [[option_weechat.look.prefix_join]] *weechat.look.prefix_join*
** description: pass:none[prefix for join messages (note: content is evaluated, so you can use colors with format "${color:xxx}", see /help eval)]
** type: string
** values: any string
** default value: `+"-->"+`

* [[option_weechat.look.prefix_network]] *weechat.look.prefix_network*
** description: pass:none[prefix for network messages (note: content is evaluated, so you can use colors with format "${color:xxx}", see /help eval)]
** type: string
** values: any string
** default value: `+"--"+`

* [[option_weechat.look.prefix_quit]] *weechat.look.prefix_quit*
** description: pass:none[prefix for quit messages (note: content is evaluated, so you can use colors with format "${color:xxx}", see /help eval)]
** type: string
** values: any string
** default value: `+"<--"+`

* [[option_weechat.look.prefix_same_nick]] *weechat.look.prefix_same_nick*
** description: pass:none[prefix displayed for a message with same nick as previous but not next message: use a space " " to hide prefix, another string to display this string instead of prefix, or an empty string to disable feature (display prefix)]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.prefix_same_nick_middle]] *weechat.look.prefix_same_nick_middle*
** description: pass:none[prefix displayed for a message with same nick as previous and next message: use a space " " to hide prefix, another string to display this string instead of prefix, or an empty string to disable feature (display prefix)]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.prefix_suffix]] *weechat.look.prefix_suffix*
** description: pass:none[string displayed after prefix]
** type: string
** values: any string
** default value: `+"|"+`

* [[option_weechat.look.quote_nick_prefix]] *weechat.look.quote_nick_prefix*
** description: pass:none[text to display before nick when quoting a message (see /help cursor)]
** type: string
** values: any string
** default value: `+"<"+`

* [[option_weechat.look.quote_nick_suffix]] *weechat.look.quote_nick_suffix*
** description: pass:none[text to display after nick when quoting a message (see /help cursor)]
** type: string
** values: any string
** default value: `+">"+`

* [[option_weechat.look.quote_time_format]] *weechat.look.quote_time_format*
** description: pass:none[time format when quoting a message (see /help cursor)]
** type: string
** values: any string
** default value: `+"%H:%M:%S"+`

* [[option_weechat.look.read_marker]] *weechat.look.read_marker*
** description: pass:none[use a marker (line or char) on buffers to show first unread line]
** type: integer
** values: none, line, char
** default value: `+line+`

* [[option_weechat.look.read_marker_always_show]] *weechat.look.read_marker_always_show*
** description: pass:none[always show read marker, even if it is after last buffer line]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.read_marker_string]] *weechat.look.read_marker_string*
** description: pass:none[string used to draw read marker line (string is repeated until end of line)]
** type: string
** values: any string
** default value: `+"- "+`

* [[option_weechat.look.save_config_on_exit]] *weechat.look.save_config_on_exit*
** description: pass:none[save configuration file on exit]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.save_config_with_fsync]] *weechat.look.save_config_with_fsync*
** description: pass:none[use fsync to synchronize the configuration file with the storage device (see man fsync); this is slower but should prevent any data loss in case of power failure during the save of configuration file]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.save_layout_on_exit]] *weechat.look.save_layout_on_exit*
** description: pass:none[save layout on exit (buffers, windows, or both)]
** type: integer
** values: none, buffers, windows, all
** default value: `+none+`

* [[option_weechat.look.scroll_amount]] *weechat.look.scroll_amount*
** description: pass:none[how many lines to scroll by with scroll_up and scroll_down]
** type: integer
** values: 1 .. 2147483647
** default value: `+3+`

* [[option_weechat.look.scroll_bottom_after_switch]] *weechat.look.scroll_bottom_after_switch*
** description: pass:none[scroll to bottom of window after switch to another buffer (do not remember scroll position in windows); the scroll is done only for buffers with formatted content (not free content)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.scroll_page_percent]] *weechat.look.scroll_page_percent*
** description: pass:none[percent of screen to scroll when scrolling one page up or down (for example 100 means one page, 50 half-page)]
** type: integer
** values: 1 .. 100
** default value: `+100+`

* [[option_weechat.look.search_text_not_found_alert]] *weechat.look.search_text_not_found_alert*
** description: pass:none[alert user when text sought is not found in buffer]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.separator_horizontal]] *weechat.look.separator_horizontal*
** description: pass:none[char used to draw horizontal separators around bars and windows (empty value will draw a real line with ncurses, but may cause bugs with URL selection under some terminals); width on screen must be exactly one char]
** type: string
** values: any string
** default value: `+"-"+`

* [[option_weechat.look.separator_vertical]] *weechat.look.separator_vertical*
** description: pass:none[char used to draw vertical separators around bars and windows (empty value will draw a real line with ncurses); width on screen must be exactly one char]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.tab_width]] *weechat.look.tab_width*
** description: pass:none[number of spaces used to display tabs in messages]
** type: integer
** values: 1 .. 64
** default value: `+1+`

* [[option_weechat.look.time_format]] *weechat.look.time_format*
** description: pass:none[time format for dates converted to strings and displayed in messages (see man strftime for date/time specifiers)]
** type: string
** values: any string
** default value: `+"%a, %d %b %Y %T"+`

* [[option_weechat.look.window_auto_zoom]] *weechat.look.window_auto_zoom*
** description: pass:none[automatically zoom on current window if the terminal becomes too small to display all windows (use alt-z to unzoom windows when the terminal is big enough)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.look.window_separator_horizontal]] *weechat.look.window_separator_horizontal*
** description: pass:none[display an horizontal separator between windows]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.window_separator_vertical]] *weechat.look.window_separator_vertical*
** description: pass:none[display a vertical separator between windows]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.look.window_title]] *weechat.look.window_title*
** description: pass:none[title for window (terminal for Curses GUI), set on startup; an empty string will keep title unchanged (note: content is evaluated, see /help eval); example: "WeeChat ${info:version}"]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.look.word_chars_highlight]] *weechat.look.word_chars_highlight*
** description: pass:none[comma-separated list of chars (or range of chars) that are considered part of words for highlights; each item can be a single char, a range of chars (format: a-z), a class of wide character (for example "alnum", see man wctype); a "!" before the item makes it negative (ie the char is NOT considered part of words); the value "*" matches any char; unicode chars are allowed with the format \u1234, for example \u00A0 for unbreakable space (see /help print for supported formats)]
** type: string
** values: any string
** default value: `+"!\u00A0,-,_,|,alnum"+`

* [[option_weechat.look.word_chars_input]] *weechat.look.word_chars_input*
** description: pass:none[comma-separated list of chars (or range of chars) that are considered part of words for command line; each item can be a single char, a range of chars (format: a-z), a class of wide character (for example "alnum", see man wctype); a "!" before the item makes it negative (ie the char is NOT considered part of words); the value "*" matches any char; unicode chars are allowed with the format \u1234, for example \u00A0 for unbreakable space (see /help print for supported formats)]
** type: string
** values: any string
** default value: `+"!\u00A0,-,_,|,alnum"+`

* [[option_weechat.network.connection_timeout]] *weechat.network.connection_timeout*
** description: pass:none[timeout (in seconds) for connection to a remote host (made in a child process)]
** type: integer
** values: 1 .. 2147483647
** default value: `+60+`

* [[option_weechat.network.gnutls_ca_file]] *weechat.network.gnutls_ca_file*
** description: pass:none[file containing the certificate authorities ("%h" will be replaced by WeeChat home, "~/.weechat" by default)]
** type: string
** values: any string
** default value: `+"/etc/ssl/certs/ca-certificates.crt"+`

* [[option_weechat.network.gnutls_handshake_timeout]] *weechat.network.gnutls_handshake_timeout*
** description: pass:none[timeout (in seconds) for gnutls handshake]
** type: integer
** values: 1 .. 2147483647
** default value: `+30+`

* [[option_weechat.network.proxy_curl]] *weechat.network.proxy_curl*
** description: pass:none[name of proxy used for download of URLs with Curl (used to download list of scripts and in scripts calling function hook_process); the proxy must be defined with command /proxy]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.plugin.autoload]] *weechat.plugin.autoload*
** description: pass:none[comma separated list of plugins to load automatically at startup, "*" means all plugins found, a name beginning with "!" is a negative value to prevent a plugin from being loaded, wildcard "*" is allowed in names (examples: "*" or "*,!lua,!tcl")]
** type: string
** values: any string
** default value: `+"*"+`

* [[option_weechat.plugin.debug]] *weechat.plugin.debug*
** description: pass:none[enable debug messages by default in all plugins (option disabled by default, which is highly recommended)]
** type: boolean
** values: on, off
** default value: `+off+`

* [[option_weechat.plugin.extension]] *weechat.plugin.extension*
** description: pass:none[comma separated list of file name extensions for plugins]
** type: string
** values: any string
** default value: `+".so,.dll"+`

* [[option_weechat.plugin.path]] *weechat.plugin.path*
** description: pass:none[path for searching plugins ("%h" will be replaced by WeeChat home, "~/.weechat" by default)]
** type: string
** values: any string
** default value: `+"%h/plugins"+`

* [[option_weechat.plugin.save_config_on_unload]] *weechat.plugin.save_config_on_unload*
** description: pass:none[save configuration files when unloading plugins]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.startup.command_after_plugins]] *weechat.startup.command_after_plugins*
** description: pass:none[command executed when WeeChat starts, after loading plugins (note: content is evaluated, see /help eval)]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.startup.command_before_plugins]] *weechat.startup.command_before_plugins*
** description: pass:none[command executed when WeeChat starts, before loading plugins (note: content is evaluated, see /help eval)]
** type: string
** values: any string
** default value: `+""+`

* [[option_weechat.startup.display_logo]] *weechat.startup.display_logo*
** description: pass:none[display WeeChat logo at startup]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.startup.display_version]] *weechat.startup.display_version*
** description: pass:none[display WeeChat version at startup]
** type: boolean
** values: on, off
** default value: `+on+`

* [[option_weechat.startup.sys_rlimit]] *weechat.startup.sys_rlimit*
** description: pass:none[set resource limits for WeeChat process, format is: "res1:limit1,res2:limit2"; resource name is the end of constant (RLIMIT_XXX) in lower case (see man setrlimit for values); limit -1 means "unlimited"; example: set unlimited size for core file and max 1GB of virtual memory: "core:-1,as:1000000000"]
** type: string
** values: any string
** default value: `+""+`
